function [ accuracy ] = evaluate( features, labels, ClassLabels,testClassSemantic, SIM, D, W, U, pars )
image_la = learn_coefficients_noise(D,features,pars.gamma);
class_la = W * testClassSemantic;
image_sim = U*image_la;
class_sim = SIM(:,ClassLabels);

image = [image_la;image_sim];
class = [class_la;class_sim];

accuracy = cosine_acc(image,class,labels,ClassLabels);

end

